Security Upgrade

Doubleknot has implemented a stronger data security standard for secure (HTTPS) access to our site. For most people, the change will be undetectable. However, people who are using outdated operating systems including Windows 2000, Windows Server 2003, Windows Server 2003 R2 without KB968730, Windows XP without Service Pack 3 and Mac OS X through version 10.4, may no longer be able to access Doubleknot pages.

If your staff or constituents are unable to access Doubleknot and cannot upgrade their computer to a current operating system, download and use the latest version of the Chrome browser.

Leave a Reply